Get album by platform ID
Distributor data is currently in Beta and may contain inaccuracies. If you notice any error, please contact us.
Get Soundcharts’ UUID & the album's metadata.
If you need to find a platform code, use the Get platforms endpoint.
Don't know any platform ID ? Use the Get album by UPC endpoint.
If we do not know the album identifier, you will get a 404 error (this won't be deducted from your API calls quota). The album should be added to Soundcharts within 2 hours, and data will populate within 24 hours. Learn more in the help center.
Request
GET
/api/v2.36/album/by-platform/{platform}/{identifier}
Path parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| platform | string | A platform code | Required |
| identifier | string | A album platform Identifier. | Required |
Response
| Code | Description | Resource |
|---|---|---|
| 200 |
OK
An Album response |
Album |
| 400 |
Bad Request
Invalid platform code |
|
| 401 |
Unauthorized
You are not logged in |
|
| 403 |
Forbidden
This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. |
|
| 404 |
Not Found
Album not found |